import 'package:flutter/widgets.dart';

class MetaColors {
  static const logoColor = Color(0xff000b4f);
  static const Color primary = Color(0xFF0D0B22);
  static const Color secondary = Color(0xFF4968FF);
  static const Color provider = Color(0xFF1FB7FF);
  static const Color seeker = Color(0xFFE63F77);

  static const Color recurringServiceDate = Color(0xFFB620E0);
  static const Color manageOthersAccount = Color(0xFF9865C7);
  static const Color supportPurpleDot = Color(0xFFC1C1FB);
  static const Color subTitleActiveServices = Color(0xFF4D4C57);
  static const Color stepperPurple = Color(0xFFB6A3FF);
  static const Color stepperDivider = Color(0xFF979797);
  static const Color stepperDisabled = Color(0xFFA1A3B1);

  static const Color chatHeaderLightGrey = Color(0xFF91909F);
  static const Color bankCardColor = Color(0xFFF9F8FD);
  static const Color paymentTitleLeadingCard = Color(0xFFF3F3F4);
  static const Color addProfileFormHeader = Color(0xFF8E9195);
  static const Color appBarIcon = Color(0xFF3A3A3A);
  static const Color accent = Color(0xFFBF8CEE);
  static const Color red = Color(0xFFFF7575);
  static const Color palePink = Color(0xFFFFE7E7);
  static const Color highlight = Color(0xFFF3F3F4);

  static const Color darkGrey = Color(0xFF6F6E7B);
  static const Color darkGrey2 = Color(0xFF565656);
  static const Color darkGrey3 = Color(0xFF656565);
  static const Color lightGrey = Color(0xFFF3F4F8);
  static const Color lightGrey2 = Color(0xFFE4E4E4);
  static const Color lightGrey3 = Color(0xFFB1B1B1);
  static const Color lightGrey4 = Color(0xFFC5C5C5);
  static const Color lightGrey5 = Color(0xFFB1B1B1);
  static const Color lightGrey6 = Color(0xFFBFBFBF);
  static const Color lightGrey7 = Color(0xFFCACACA);
  static const Color lightGreyBgColor = Color(0xFFF8F8F8);

  static const Color isOnlineGreen = Color(0xFF41C523);

  static const Color addCoHostsSeparator = Color(0xFFEAEAEA);
  static const Color suffixTextAddProfile = Color(0xFFA2A2A2);

  static const Color messageSentTime = Color(0xFF8E8E93);
  static const Color messageInputBoxColor = Color(0xFFD8D8D8);
  static const Color messageInputBoxIconsColor = Color(0xFFC1C0C8);
  static const Color searchBar = Color(0xFFF6F6F6);
  static const Color advancedInvitationHintText = Color(0xFFE4E4E4);

  static const Color forwardArrowWhiteColor = Color(0xFFF7F7F7);
  static const Color shareButtonColor = Color(0xFF69CD62);

  static const List<Color> icon1 = [
    Color(0xFFE02020),
    Color(0xFFFA6400),
    Color(0xFFF7B500),
    Color(0xFF6DD400),
    Color(0xFF0091FF),
    Color(0xFF6236FF),
    Color(0xFFB620E0)
  ];
  static const List<Color> icon2 = [
    Color(0xFF32C5FF),
    Color(0xFFB620E0),
    Color(0xFFF7B500),
  ];
  static const List<Color> icon3 = [
    Color(0xFF6DD400),
    Color(0xFFF7B500),
  ];
}
